# babe-qt-1.2
# git clone https://github.com/milohr/babe-qt.git
# rename to babe-qt-1.2 and create archive tar.xz

Name:		babe-qt
Version:	1.2
Release:	%mkrel 2
URL:		https://github.com/milohr/babe-qt.git
Source:		%{name}-%{version}.tar.xz
Source1:    org.kde.babe.desktop
License:	GPLv2+
Group:		Graphical desktop/KDE5
Summary:	Tiny Qt Babe Music Player
#------------------------------------------
BuildRequires: libkcodecs-devel
BuildRequires: libkconfig-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkf5i18n-devel
BuildRequires: libkf5notifications-devel
BuildRequires: libkf5windowsystem-devel
BuildRequires: libqt5core-devel
BuildRequires: libqt5dbus-devel
BuildRequires: libqt5gui-devel
BuildRequires: libqt5multimedia-devel
BuildRequires: libqt5multimediaquick_p-devel
BuildRequires: libqt5multimediawidgets-devel
BuildRequires: libqt5network-devel
BuildRequires: libqt5positioning-devel
BuildRequires: libqt5printsupport-devel
BuildRequires: libqt5qml-devel
BuildRequires: libqt5quick-devel
BuildRequires: libqt5quickwidgets-devel
BuildRequires: libqt5sql-devel
BuildRequires: libqt5webchannel-devel
BuildRequires: libqt5webengine-devel
BuildRequires: libqt5websockets-devel
BuildRequires: libqt5widgets-devel
BuildRequires: libqt5x11extras-devel
BuildRequires: libqt5xml-devel
BuildRequires: libtaglib-devel
BuildRequires: cmake
BuildRequires: kf5-macros
#------------------------------------------
Requires: ki18n
Requires: knotifications
Requires: libwebengine5
Requires: libqt5websockets5
Requires: desktop-file-utils

Obsoletes:	%{name}
Provides:	%{name} = %{version}-%{release}
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Babe is a tiny Qt music player to keep your favorite songs at hand
Babe will handle your whole music collection, letting you create
custom playlists to organize your music.
You can also filter your music by artist, title, album, genre, date
and location. Babe let's you babe-mark your favorite YouTube music
videos into your local collection by using the Chromium extension.
Think of Babe as the playlist where all your favorite tracks at the
moment are.
And when needed you also have an integrated collection manager.

%prep
%setup -q

%build
%cmake_kf5

%make

%install
rm -rf %{buildroot}
%make_install -C build

# install our starter file
install -m 644 %SOURCE1 %{buildroot}%{_datadir}/applications/org.kde.babe.desktop


%clean
rm -rf %{buildroot}


%files -n %{name}
%defattr(-,root,root)
%{_bindir}/babe
%{_datadir}/applications/org.kde.babe.desktop
%{_datadir}/icons/hicolor/48x48/apps/babe.svg
%{_datadir}/metainfo/org.kde.babe.appdata.xml


%changelog
* Sun Nov 04 2018 adrianomorselli <adrianomorselli> 1.2-2uplos2018
- fix desktop file for audio only in menu
- init version
